Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface IVXBMO

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, MO, org.eclipse.emf.common.notify.Notifier, QTY

All Known Implementing Classes:
  IVXBMOImpl

    public interface IVXBMO

extends MO

A representation of the model object 'IVXBMO'.

The following features are supported:

- `Inclusive`

See Also:
  `CDAR2Package.getIVXBMO()`

Method Summary
`boolean` | `isInclusive()` Returns the value of the 'Inclusive' attribute.
`boolean` | `isSetInclusive()` Returns whether the value of the '`Inclusive`' attribute is set.
`void` | `setInclusive(boolean value)` Sets the value of the '`Inclusive`' attribute.
`void` | `unsetInclusive()` Unsets the value of the '`Inclusive`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.MO
`getCurrency, getValue, setCurrency, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isInclusive

    boolean isInclusive()

  Returns the value of the 'Inclusive' attribute. The default value is `"true"`. Specifies whether the limit is included in the interval (interval is closed) or excluded from the interval (interval is open).

  Returns:
    the value of the 'Inclusive' attribute.
  See Also:
    `isSetInclusive()`, `unsetInclusive()`, `setInclusive(boolean)`, `CDAR2Package.getIVXBMO_Inclusive()`

### setInclusive

    void setInclusive(boolean value)

  Sets the value of the '`Inclusive`' attribute.

  Parameters:
    `value` - the new value of the 'Inclusive' attribute.
  See Also:
    `isSetInclusive()`, `unsetInclusive()`, `isInclusive()`

### unsetInclusive

    void unsetInclusive()

  Unsets the value of the '`Inclusive`' attribute.

  See Also:
    `isSetInclusive()`, `isInclusive()`, `setInclusive(boolean)`

### isSetInclusive

    boolean isSetInclusive()

  Returns whether the value of the '`Inclusive`' attribute is set.

  Returns:
    whether the value of the 'Inclusive' attribute is set.
  See Also:
    `unsetInclusive()`, `isInclusive()`, `setInclusive(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD